MycilaJSY 13.0.0 Arduino / ESP32 library for the JSY1031, JSY-MK-163, JSY-MK-193, JSY-MK-194, JSY-MK-227, JSY-MK-229, JSY-MK-333 families single-phase and three-phase AC bidirectional meters from Shenzhen Jiansiyan Technologies Co, Ltd.

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Friends
Mycila::JSY::Data Class Reference
Collaboration diagram for Mycila::JSY::Data:
[legend]

## Public Member Functions
const Metrics & | single () const
const Metrics & | channel1 () const
const Metrics & | channel2 () const
const Metrics & | channel (size_t index) const
const Metrics & | phaseA () const
const Metrics & | phaseB () const
const Metrics & | phaseC () const
const Metrics & | phase (size_t index) const
void | clear ()
bool | operator== (const Data &other) const
bool | operator!= (const Data &other) const
void | operator= (const Data &other)

## Data Fields
uint8_t | address = MYCILA_JSY_ADDRESS_UNKNOWN
uint16_t | model = MYCILA_JSY_MK_UNKNOWN
Metrics | aggregate

## Friends
class | JSY

## Detailed Description

Definition at line 288 of file MycilaJSY.h.

## Member Function Documentation

## ◆ channel()

const Metrics & Mycila::JSY::Data::channel | ( | size_t | index | ) | const
| inline

Definition at line 307 of file MycilaJSY.h.

## ◆ channel1()

const Metrics & Mycila::JSY::Data::channel1 | ( |  | ) | const
| inline

Definition at line 303 of file MycilaJSY.h.

## ◆ channel2()

const Metrics & Mycila::JSY::Data::channel2 | ( |  | ) | const
| inline

Definition at line 305 of file MycilaJSY.h.

## ◆ clear()

void Mycila::JSY::Data::clear | ( |  | ) |

Definition at line 7 of file MycilaJSYData.cpp.

## ◆ operator!=()

bool Mycila::JSY::Data::operator!= | ( | const Data & | other | ) | const
| inline

Definition at line 324 of file MycilaJSY.h.

## ◆ operator=()

void Mycila::JSY::Data::operator= | ( | const Data & | other | ) |

Definition at line 25 of file MycilaJSYData.cpp.

## ◆ operator==()

bool Mycila::JSY::Data::operator== | ( | const Data & | other | ) | const

Definition at line 16 of file MycilaJSYData.cpp.

## ◆ phase()

const Metrics & Mycila::JSY::Data::phase | ( | size_t | index | ) | const
| inline

Definition at line 316 of file MycilaJSY.h.

## ◆ phaseA()

const Metrics & Mycila::JSY::Data::phaseA | ( |  | ) | const
| inline

Definition at line 310 of file MycilaJSY.h.

## ◆ phaseB()

const Metrics & Mycila::JSY::Data::phaseB | ( |  | ) | const
| inline

Definition at line 312 of file MycilaJSY.h.

## ◆ phaseC()

const Metrics & Mycila::JSY::Data::phaseC | ( |  | ) | const
| inline

Definition at line 314 of file MycilaJSY.h.

## ◆ single()

const Metrics & Mycila::JSY::Data::single | ( |  | ) | const
| inline

Definition at line 300 of file MycilaJSY.h.

## Friends And Related Symbol Documentation

## ◆ JSY

friend class JSY
| friend

Definition at line 333 of file MycilaJSY.h.

## Field Documentation

## ◆ address

uint8_t Mycila::JSY::Data::address = MYCILA_JSY_ADDRESS_UNKNOWN

Definition at line 290 of file MycilaJSY.h.

## ◆ aggregate

Metrics Mycila::JSY::Data::aggregate

Definition at line 297 of file MycilaJSY.h.

## ◆ model

uint16_t Mycila::JSY::Data::model = MYCILA_JSY_MK_UNKNOWN

Definition at line 291 of file MycilaJSY.h.

The documentation for this class was generated from the following files:

- src/MycilaJSY.h
- src/MycilaJSYData.cpp